package javax.annotation.processing;

import java.util.Locale;
import javax.lang.model.SourceVersion;
import javax.lang.model.util.Types;
import javax.lang.model.util.Elements;
import java.util.Map;

public interface ProcessingEnvironment
{
    public abstract Map<String, String> getOptions();
    
    public abstract Messager getMessager();
    
    public abstract Filer getFiler();
    
    public abstract Elements getElementUtils();
    
    public abstract Types getTypeUtils();
    
    public abstract SourceVersion getSourceVersion();
    
    public abstract Locale getLocale();
}
